## EMailPartAttachment

EMailPartAttachment

## Functions

EMailPartAttachment * | e_mail_part_attachment_new ()
EAttachment * | e_mail_part_attachment_ref_attachment ()
void | e_mail_part_attachment_set_expandable ()
gboolean | e_mail_part_attachment_get_expandable ()
void | e_mail_part_attachment_take_guessed_mime_type ()
const gchar * | e_mail_part_attachment_get_guessed_mime_type ()

## Properties

EAttachment * | attachment | Read
gboolean | expandable | Read / Write

## Types and Values

#define | E_MAIL_PART_ATTACHMENT_MIME_TYPE

## Object Hierarchy

        GObject
        ╰── EMailPart
            ╰── EMailPartAttachment

## Description

## Functions

### e_mail_part_attachment_new ()

    EMailPartAttachment *
    e_mail_part_attachment_new (CamelMimePart *mime_part,
                                const gchar *id);

### e_mail_part_attachment_ref_attachment ()

    EAttachment *
    e_mail_part_attachment_ref_attachment (EMailPartAttachment *part);

### e_mail_part_attachment_set_expandable ()

    void
    e_mail_part_attachment_set_expandable (EMailPartAttachment *part,
                                           gboolean expandable);

### e_mail_part_attachment_get_expandable ()

    gboolean
    e_mail_part_attachment_get_expandable (EMailPartAttachment *part);

### e_mail_part_attachment_take_guessed_mime_type ()

    void
    e_mail_part_attachment_take_guessed_mime_type
                                   (EMailPartAttachment *part,
                                    gchar *guessed_mime_type);

### e_mail_part_attachment_get_guessed_mime_type ()

    const gchar *
    e_mail_part_attachment_get_guessed_mime_type
                                   (EMailPartAttachment *part);

## Types and Values

### E_MAIL_PART_ATTACHMENT_MIME_TYPE

    #define             E_MAIL_PART_ATTACHMENT_MIME_TYPE

## Property Details

### The `“attachment”` property

      “attachment”               EAttachment *

The attachment object.

Owner: EMailPartAttachment

Flags: Read

### The `“expandable”` property

      “expandable”               gboolean

Whether the attachment can be expanded.

Owner: EMailPartAttachment

Flags: Read / Write

Default value: FALSE